Subject: Re: bug#9044: 24.0.50; File mode specification error: (error "Malformed -*- line")

From: Glenn Morris <[email-masked]>
Date: Tue, 12 Jul 2011 20:01:27 -0400

Peter Dyballa wrote:

> It's obviously just one, none of the 20 others I just checked:
[...]
> In GNU Emacs 23.3 I get, when typing v on the file in dired:
>
> 	Type C-c C-c to view the image as text.
> 	File local-variables error: (error "Malformed -*- line")

Yes; it has no relation to imagemagick and occurs in 23.3 too. The tiff
file is a single line and happens to contain "-*-" at one point. Emacs
tries to parse this as a file local variables section and fails, so it
complains. It's just a harmless message that you can ignore, it does not
affect anything. I'm not sure that it's worth trying to do anything
about this.